Summary:	An old-school polyphonic additive synthesizer
Name:		padthv1
Version:	1.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Midi
URL:		https://padthv1.sourceforge.io
Source0:	https://sourceforge.net/projects/padthv1/files/padthv1/%{version}/%{name}-%{version}.tar.gz
Patch0:		padthv1-0.9.27-fix-libdir-path.patch
BuildRequires:	desktop-file-utils
BuildRequires:	qttools6
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Svg)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(Qt6Xml)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	libasan-devel

%description
padthv1 is an old-school polyphonic additive synthesizer with stereo fx.
padthv1 is based on the PADsynth algorithm by Paul Nasca, as a special
variant of additive synthesis.

Features:
  * a pure stand-alone JACK client with JACK-session, NSM (Non Session
    management) and both JACK MIDI and ALSA MIDI input support.
  * a LV2 instrument plug-in.
    URI: http://padthv1.sourceforge.net/lv2

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}_jack
%{_datadir}/%{name}/
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_datadir}/metainfo/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/org.rncbc.%{name}.application-x-%{name}-*.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}-*.svg
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*

#--------------------------------------------------------------------

%define lv2name	lv2-%{name}

%package -n	%{lv2name}
Summary:	Synthesizer LV2 plugin for %{name}
Group:		Sound/Midi
Requires:	%{name} = %{version}

%description -n	%{lv2name}
padthv1 is an old-school polyphonic additive synthesizer with stereo fx.
padthv1 is based on the PADsynth algorithm by Paul Nasca, as a special
variant of additive synthesis.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DCMAKE_BUILD_TYPE=Debug
%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop


%changelog
* Fri Feb 14 2025 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2148748
- new version: 1.3.0

* Thu Jan 02 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2134824
- new version: 1.2.0

* Fri Nov 01 2024 daviddavid <daviddavid> 1.1.3-1.mga10
+ Revision: 2111912
- new version: 1.1.3

* Mon Oct 07 2024 daviddavid <daviddavid> 1.1.2-1.mga10
+ Revision: 2103965
- new version: 1.1.2

* Mon Sep 23 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2100630
- new version: 1.1.1

* Tue Sep 03 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2092909
- new version: 1.1.0

* Thu Jun 20 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2075613
- new version: 1.0.0

* Tue Feb 06 2024 daviddavid <daviddavid> 0.9.34-1.mga10
+ Revision: 2037925
- new version: 0.9.34

* Sat Jan 13 2024 daviddavid <daviddavid> 0.9.33-1.mga10
+ Revision: 2030861
- new version: 0.9.33

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.32-1.mga10
+ Revision: 1988469
- new version: 0.9.32

* Mon Aug 28 2023 daviddavid <daviddavid> 0.9.31-1.mga10
+ Revision: 1980339
- new version: 0.9.31

* Sat Jan 28 2023 daviddavid <daviddavid> 0.9.29-1.mga9
+ Revision: 1936579
- new version: 0.9.29

* Sat Dec 31 2022 daviddavid <daviddavid> 0.9.28-1.mga9
+ Revision: 1928338
- new version: 0.9.28

* Sun Dec 11 2022 daviddavid <daviddavid> 0.9.27-1.mga9
+ Revision: 1920750
- new version: 0.9.27
- switch to Qt6
+ neoclust <neoclust>
- New version 	0.9.26
 --remove-key="Version" \

* Sun Apr 03 2022 umeabot <umeabot> 0.9.22-2.mga9
+ Revision: 1842452
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.22-1.mga9
+ Revision: 1725594
- new version: 0.9.22

* Tue Mar 23 2021 daviddavid <daviddavid> 0.9.21-1.mga9
+ Revision: 1708037
- new version: 0.9.21

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.20-1.mga9
+ Revision: 1690876
- new version: 0.9.20

* Tue Dec 22 2020 daviddavid <daviddavid> 0.9.19-1.mga8
+ Revision: 1662729
- new version: 0.9.19

* Thu Dec 17 2020 umeabot <umeabot> 0.9.18-2.mga8
+ Revision: 1659279
- Rebuild for new Qt5

* Tue Nov 03 2020 daviddavid <daviddavid> 0.9.18-1.mga8
+ Revision: 1642395
- new version: 0.9.18

* Fri Sep 11 2020 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1624663
- new version: 0.9.17

* Tue Aug 11 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1613196
- new version: 0.9.16

* Tue Jun 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1600588
- new version: 0.9.15

* Tue May 12 2020 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1583238
- new version: 0.9.14
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 29 2020 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1562087
- new version: 0.9.13

* Wed Feb 19 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1542921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 08 2020 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1477238
- new version: 0.9.12

* Sun Dec 22 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1469593
- new version: 0.9.11
- the former shared common core and UI package is now duplicated but
  statically linked though, so remove shared libraries

* Thu Oct 17 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1454280
- new version: 0.9.10

* Mon Sep 02 2019 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1436319
- new version: 0.9.9

* Wed Apr 17 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1391894
- new version: 0.9.7

* Fri Apr 12 2019 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1389333
- initial package padthv1

